#!/usr/bin/env bash

# status code
RETURN_SUCCESS=0
RETURN_WARNING=1
RETURN_CRITICAL=2

# counter
c_ok=0
c_wrn=0
c_cri=0

# color string setting
OK="\033[32;40m [  OK  ] \033[0m"
WRN="\033[33;40m [WARNING] \033[0m"
CRI="\033[31;40;1m [CRITICAL] \033[0m"

fix_width="\033[45G"
split_str=$(printf "%*s" "55")
split_line=${split_str// /-}

# log file 
msg_file="${distro}_dignosis_result_$(date +%Y%m%d%H%M%S).txt"

function write_file(){
    echo -e "$1" >> $msg_file
}

function print_result(){
    case "$1" in
    0)
        echo -en $fix_width && echo -e $OK
        c_ok=$[c_ok+1]
        ;;
    1)
        echo -en $fix_width && echo -e $WRN
        c_wrn=$[c_wrn+1]
        ;;
    2)
        echo -en $fix_width && echo -e $CRI
        c_cri=$[c_cri+1]
        ;;
    *)
        echo -en $fix_width && echo -e $CRI
        c_cri=$[c_cri+1]
    esac
}
