#!/usr/bin/env bash

function bd_check_firewall_status(){
    write_file ${split_line}
    write_file "[ check firewall ]"

    if [[ "${distro}" == "CentOS" || "${distro}" == "Baidu" || "${distro}" == "CentOS Stream" || \
        "${distro}" == "Rocky" || "${distro}" == "AlmaLinux" || "${distro}" == "rhel" ]]; then
        if [[ "${distro_version_major}" -ge 7 || "${distro}" == "Baidu" ]]; then
            systemctl -a | grep -q firewalld
            if [ $? -ne 0 ]; then
                return ${RETURN_SUCCESS}
            fi
            systemctl status firewalld 2> /dev/null | grep -q "active (running)"
            if [ $? -ne 0 ]; then
                return ${RETURN_SUCCESS}
            else
                write_file "\tWARNING: the firewall is enabled on your system."
                return ${RETURN_WARNING}
            fi
        else
            chkconfig | grep -q iptables
            if [ $? -ne 0 ]; then
                return ${RETURN_SUCCESS}
            fi
            service iptables status 2> /dev/null | grep -Eq "not loaded|is stoped|is not running"
            if [ $? -eq 0 ]; then
                return ${RETURN_SUCCESS}
            else
                write_file "\tWARNING: the iptables may be running on your system."
                return ${RETURN_WARNING}
            fi
        fi
    fi
    
    if [[ "${distro}" == "Ubuntu" || "${distro}" == "Debian" ]]; then
        command -v ufw 1>/dev/null 2>&1
        if [ $? -ne 0 ]; then
            write_file "\tWARNING: can't find ufw command."
            return ${RETURN_WARNING}
        fi
        ufw status | grep -q "inactive"
        if [ $? -eq 0 ]; then
            return ${RETURN_SUCCESS}
        else
            write_file "\tWARNING: your system's firewall may be enabled."
            return ${RETURN_WARNING}
        fi
    fi
}