#!/usr/bin/env bash

function bd_check_graphic(){
    write_file ${split_line}
    write_file "[ check graphic ]"

    command -v gsettings 1>/dev/null 2>&1
    if [ $? -ne 0 ]; then
        write_file "\tWARNING: can't find gsettings command."
        write_file "\tWARNING: please make sure your system uses a graphical interface."
        return ${RETURN_WARNING}
    fi

    gsettings list-recursively org.gnome.settings-daemon.plugins.power 1>/dev/null 2>&1
    if [ $? -eq 0 ]; then
        gsettings list-recursively org.gnome.settings-daemon.plugins.power | \
            grep -qE "sleep-inactive-ac-type 'suspend' | sleep-inactive-battery-type 'suspend'" \
            1>/dev/null 2>&1
        
        if [ $? -ne 0 ]; then
            write_file "\tWARNING: installing the graphics desktop can cause system sleep issues \
that prevent normal login."

            return ${RETURN_WARNING}
        fi
    fi
    return ${RETURN_SUCCESS}
}