#!/usr/bin/env bash

function bd_check_kernel_config() {
    write_file ${split_line}
    write_file "[ check kernel config ]"

    [ "${version_first}" = "6" ] && return ${RETURN_SUCCESS}
    conf_list=("CONFIG_HOTPLUG_SMT"
               "CONFIG_MEMORY_HOTPLUG"
               "CONFIG_MEMORY_HOTPLUG_SPARSE"
               "CONFIG_HOTPLUG_CPU"
               "CONFIG_ARCH_ENABLE_MEMORY_HOTPLUG"
               "CONFIG_ACPI_HOTPLUG_CPU"
               "CONFIG_ACPI_HOTPLUG_MEMORY"
               "CONFIG_HOTPLUG_PCI_PCIE"
               "CONFIG_HOTPLUG_PCI"
               "CONFIG_HOTPLUG_PCI_ACPI"
               "CONFIG_HOTPLUG_PCI_ACPI_IBM"
               "CONFIG_HOTPLUG_PCI_SHPC"
              )

    current_kernel=$(uname -r)
    kernel_config="/boot/config-${current_kernel}"
    if [[ -e ${kernel_config} && -r ${kernel_config} ]]; then
        conf_num=${#conf_list[@]}
        for (( i = 0; i < ${conf_num}; i++ ))
        do
            conf=$(cat /boot/config-$(uname -r) |grep -wE ^${conf_list[$i]} |awk -F= '{print $2}')
            if [ "${conf}" != "y" ] && [ "${conf}" != "Y" ] && [ "${conf}" != "m" ] && [ "${conf}" != "M" ]; then
                write_file "\tWARNING: kernel config ${conf_list[$i]} is not y or m!"
                return ${RETURN_WARNING}
            fi
        done
    else
        write_file "\tWARNING: can't find the /boof/config-$(uname -r)."
        return ${RETURN_WARNING}
    fi

    return ${RETURN_SUCCESS}
}