#!/usr/bin/env bash

function bd_check_pcie_aspm() {
    write_file ${split_line}
    write_file "[ check pcie aspm ]"

    grep -q "pcie_aspm=force" "/proc/cmdline"
    if [ $? -ne 0 ]; then
    	write_file "\tWARNING:disabling pcie_aspm will lead to increased power consumption."
    	return ${RETURN_WARNING}
    fi

    grep -q "pcie_aspm=force" ${s_grub_file}
    if [ $? -ne 0 ]; then
    	write_file "\tWARNING:disabling pcie_aspm will lead to increased power consumption."
    	return ${RETURN_WARNING}
    fi

    grep -q "pcie_aspm=force" /etc/default/grub
    if [ $? -ne 0 ]; then
    	write_file "\tWARNING:disabling pcie_aspm will lead to increased power consumption."
    	return ${RETURN_WARNING}
    fi
    return ${RETURN_SUCCESS}
}